]> ruderich.org/simon Gitweb - config/dotfiles.git/blobdiff - setup.sh
use set -eu
[config/dotfiles.git] / setup.sh
index 45a469bc5ab12d8341d7b92a54e920d3ad67c6a6..6a26b0486cc2d865355c9d1c21e78d14e8050af8 100755 (executable)
--- a/setup.sh
+++ b/setup.sh
@@ -18,7 +18,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 
-set -e
+set -eu
 
 . ../lib.sh
 
@@ -37,7 +37,7 @@ if installed X; then
     # Prevent code duplication. Term* rules are for all terminals; XTerm rules
     # are for XTerm and UXTerm. At the moment XTerm, UXTerm and Rxvt are
     # supported.
-    generate Xdefaults .in perl -ne \
+    generate Xresources .in perl -ne \
         'if (/^Term/) {
              s/^Term//;
              print "XTerm", $_;
@@ -50,8 +50,15 @@ if installed X; then
          } else {
              print $_;
          }'
-    # Xdefaults uses ! as comment instead of #.
-    sed_i 's/^#/!/' Xdefaults
+    # Xresources uses ! as comment instead of #.
+    sed_i 's/^#/!/' Xresources
+    # Use urxvt's pseudo-transparency if neither compton nor xcompmgr are
+    # available. Better than nothing.
+    if ! installed compton && ! installed xcompmgr; then
+        echo 'Xresources: no compton found, enabling pseudo-transparency'
+        sed_i 's/^Rxvt\*background/!&/' Xresources
+        sed_i 's/^!NO_COMPTON //' Xresources
+    fi
 
     if test ! "x`os`" = xdarwin; then
         link xinitrc ~/.xinitrc
@@ -65,7 +72,7 @@ if installed X; then
         link xinitrc.local ~/.xinitrc.local
     fi
     link xmodmaprc ~/.xmodmaprc
-    link Xdefaults ~/.Xdefaults
+    link Xresources ~/.Xresources
     link XCompose ~/.XCompose
 fi